# Method: groups.lookup

Looks up the [resource name](https://cloud.google.com/apis/design/resource_names) of a `Group` by its `EntityKey`.

### HTTP request

`GET https://cloudidentity.googleapis.com/v1beta1/groups:lookup`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `groupKey` | ``object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/EntityKey`)`` Required. The `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/EntityKey` of the `Group` to lookup. |

### Request body

The request body must be empty.

### Response body

The response message for `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups/lookup#google.apps.cloudidentity.groups.v1beta1.GroupsService.LookupGroupName`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. The [resource name](https://cloud.google.com/apis/design/resource_names) of the looked-up `Group`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.groups.readonly`
- `https://www.googleapis.com/auth/cloud-identity.groups`
- `https://www.googleapis.com/auth/cloud-identity`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).